require_relative 'lib/spacelift/policy/version'

# rubocop:disable Metrics/LineLength
Gem::Specification.new do |spec|
  spec.name          = 'spacelift-policy'
  spec.version       = Spacelift::Policy::VERSION
  spec.authors       = ['Marcin Wyszynski']
  spec.email         = ['marcinw@spacelift.io']

  spec.summary       = 'Ruby microframework for defining rich policy-as-code for Terraform'
  spec.description   = <<-SUMMARY
  SUMMARY
  spec.homepage      = 'https://github.com/spacelift-io/policy'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/spacelift-io/policy'
  spec.metadata['changelog_uri'] = 'https://github.com/spacelift-io/policy'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'colorize', '~> 0.8'
end
# rubocop:enable Metrics/LineLength
